# Tabletop Companion

Tabletop Companion is a lightweight way to assist you playing tabletop games, online with
the video chat software of your choice or offline at a physical table.

## Development setup

Spin up the application with `./bin/setup`.

Run tests with `rails test`.

### Git hooks

There is a pre-commit git hook stored in .git-hooks which can be installed by running `.git-hooks/install.bash`.

The hooks:
- Run Rubocop
- Run tests
- Run Brakeman

### Brakeman

If Brakeman issues are introduced, they should be immediately fixed or ignored with a note as to why it
is not a real issue. To do so, run `bundle exec brakeman -I`.


