# frozen_string_literal: true

class CreateDiceRolls < ActiveRecord::Migration[7.1]
  def change
    create_table :dice_rolls do |t|
      t.references :rollable, polymorphic: true
      t.belongs_to :table, null: true, foreign_key: true
      t.integer :result, null: false

      t.timestamps
    end
  end
end
