# frozen_string_literal: true

class TableInviteMailer < ApplicationMailer
  helper(:mailer)

  def invite_user
    @table_invite = params[:table_invite]

    mail(to: @table_invite.email, subject: t(".invite_user.subject"))
  end

  def invite_new_user
    @table_invite = params[:table_invite]

    mail(to: @table_invite.email, subject: t(".invite_new_user.subject"))
  end
end
