# frozen_string_literal: true

class CreateUserRoles < ActiveRecord::Migration[7.1]
  def change
    create_table :site_roles do |t|
      t.string :name, null: false

      t.timestamps
    end

    create_table :site_roles_users do |t|
      t.belongs_to :user
      t.belongs_to :site_role
    end
  end
end
