# frozen_string_literal: true

class AddUniqueIndexToGameSystemName < ActiveRecord::Migration[7.1]
  def change
    add_index :game_systems, :name, unique: true

    add_check_constraint :game_systems, "length(name) <= 100", name: "chk_name_max_length"
  end
end
