# frozen_string_literal: true

# Preview all emails at http://localhost:3000/rails/mailers/user_mailer
class UserMailerPreview < ActionMailer::Preview
  def email_verification
    UserMailer.with(user: User.first, token: "token").email_verification
  end

  def email_verified
    UserMailer.with(user: User.first).email_verified
  end
end
